Debian Mozilla team

Pour avoir les derniers paquets Iceweasel et Icedove:
http://mozilla.debian.net/

Publicités

Lancer Iceweasel sans interface graphique

Je cherchais une commande pour lancer iceweasel sur une machine debian sans interface graphique.

Donc pour pouvoir aller sur internet via le terminal:

1/ On installe ce dont on a besoin (en terminal administrateur comme d’hab):

apt-get install xinit
apt-get install xorg
apt-get install iceweasel

2/ la commande pour lancer iceweasel:

xinit /usr/bin/iceweasel

source: https://debian-facile.org/viewtopic.php?id=8883

Ublock Origin

icon38@2xUblock Origin est un nouveau bloqueur de pubs et autres traqueurs que je teste en remplacement d’AdBlockPlus.

Il serait moins gourmand en ressources qu’AdBlockEdge, AdBlockPlus et consorts.

Disponible pour navigateurs basés sur chrome et firefox:

Plus d’infos sur le site officiel: https://github.com/gorhill/uBlock

edit: après utilisation, il est moins gourmand en ressources mais bloque moins de choses par défaut, je reste donc sur AdBlockPlus pour l’instant…

Fresh player plugin en remplacement d’Adobe Flash Player

Adobe Flash Player n’est plus mis à jour sur Linux, Adobe préférant se concentrer sur le dev Windows.
J’ai donc décidé de le supprimer et de le remplacer.
Sur Chromium j’avais déjà installé le plugin Pepperflashplayer pour avoir Flash donc pas de soucis. Si vous ne l’avez pas suivez ce lien pour la procédure: https://wiki.debian.org/fr/PepperFlashPlayer/Installing

En revanche Pepperflashplayer n’est pas compatible avec Iceweasel et Firefox (que je n’utilisais d’ailleurs plus suite à des crashes mais qui ont disparus après avoir viré le plugin Adobe). Pour permettre la compatibilité avec ces navigateurs il va donc falloir installer aussi Freshplayerplugin .

1/ Désinstallation de l’ancien plugin adobe flash player:

apt-get remove flashplugin-nonfree

2/ Installation des dépendances nécessaires:

apt-get install cmake gcc g++ git pkg-config ragel libasound2-dev libssl-dev libglib2.0-dev libconfig-dev libpango1.0-dev libgl1-mesa-dev libevent-dev libgtk2.0-dev libxrandr-dev libxrender-dev libxcursor-dev libv4l-dev libgles2-mesa-dev libavcodec-dev libva-dev libvdpau-dev libdrm-dev

3/ Téléchargement et compilation du code source afin d’obtenir le fichier libfreshwrapper-pepperflash.so.

cd
git clone https://github.com/i-rinat/freshplayerplugin.git
cd freshplayerplugin
mkdir build
cd build
cmake ..
make

4/ Déploiement de la librairie

cp libfreshwrapper-pepperflash.so /usr/lib/mozilla/plugins/

5/ Redémarrage d’Iceweasel et vérification avec le test ici: http://www.adobe.com/software/flash/about/

Plus d’infos et sources:
https://wiki.debian.org/Freshplayerplugin
https://github.com/i-rinat/freshplayerplugin

Edit: Il semblerait que j’aurais également pu utiliser flash avec pipelight  (à tester une prochaine fois) en utilisant la commande:

pipelight-plugin --enable flash

Radio Tray un mini lecteur de webradio

radiotray-infos

Radio Tray est un petit lecteur de webradio qui se fait discret et rempli bien son rôle: lire des webradios.

Il est très léger et facilement configurable.

Capture du 2015-08-11 17:15:13

Pour l’installer rien de plus simple:

apt-get install radiotray

Par défaut il y a des radios pré-enregistrées (que vous pouvez supprimer si vous voulez) et vous pouvez ajouter les vôtres.

Capture du 2015-08-11 17:25:03Les URL de adios que j’aime bien: (mettre groupe root pour ne pas assigner la radio à un groupe mais à la racine de l’arborescence)

Edit du 24/04/16:

RadioTray est aussi disponible pour  Arch Linux. Vous pouvez l’installer grâce aux dépots AUR avec la commande:

yaourt -S radiotray

par contre dans mon cas et à l’heure actuelle il m’a fallu installer manuellement une dépendance considérée optionnelle sur AUR pour que Radiotray fonctionne:

Voici une partie d’une message d’erreur qui s’affichait lorsque j’essayais de lancer une radio: « gstdecodebin2.c(3679):gst_decode_bin_expose():/…..no suitable plugins found »

Pour résoudre le problème:

yaourt -S gstreamer0.10-ugly-plugins